### Method

# Camel InternetAddress find_name

#### Declaration [src]

    gint
    camel_internet_address_find_name (
      CamelInternetAddress* addr,
      const gchar* name,
      const gchar** addressp
    )

#### Description [src]

Find address by real name.

#### Parameters

`name`

  Type: `const gchar*`

  Name to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`addressp`

  Type: `const gchar**`

  Holder for address part, or `NULL`, if not required.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The index of the address matching the name, or -1 if no match was found.